jQuery(document).ready(function() {

    var renderTable = function () {
        if (jQuery(document).width() < 767) {

            /*
        .business-report-table td:nth-of-type(1):before { content: "Option"; }
        .business-report-table td:nth-of-type(2):before { content: "Description"; }
        .business-report-table td:nth-of-type(3):before { content: "Type"; }
        .business-report-table td:nth-of-type(4):before { content: "Default";}
        */

            jQuery('table.business-report-table').each(function (index, table) {

                $table = jQuery(table);

                $table.find('thead tr th:nth-child(n+2) span.year').each(function (dataIndex, year) {

                    $table.prepend(
                        '<style>.br-column-' + dataIndex + ':before { content: "' +
                        year.innerText.replace(/(\r\n|\n|\r)/gm, "") + '" }</style>');

                    $column = jQuery($table.find('tbody tr td:nth-child(' + (dataIndex + 2) + ')'));

                    $column.addClass('br-column-' + dataIndex);
                });


            });
        }
    }

    renderTable();

    jQuery(window).resize(function () {
        renderTable();
    });
});